import {
  IonContent,
  IonHeader,
  IonPage,
  IonTitle,
  IonToolbar,
  IonCard,
  IonCardHeader,
  IonCardSubtitle,
  IonCardTitle,
  IonFooter,
  IonTabButton,
  IonIcon,
  IonLabel,
  IonImg,
  IonCol,
  IonGrid,
  IonRow,
  IonItem
} from '@ionic/react';
import { square } from 'ionicons/icons';
import './HomePage.css';
import EnciclopediaPR from '../assets/EnciclopediaPR.png';

const HomePage: React.FC = () => {
  return (
    <IonPage>
      <IonHeader>
        <IonToolbar>
          <IonGrid fixed={true}>
            <IonRow>
              <IonCol></IonCol>
              <IonCol>
                <IonImg style={{ height: 50, width: 100 }} src={EnciclopediaPR} alt='Logo'></IonImg>
                <IonTitle>Hogar</IonTitle>
              </IonCol>
              <IonCol></IonCol>
            </IonRow>
          </IonGrid>
        </IonToolbar>
      </IonHeader>
      <IonContent fullscreen>
        <IonItem routerLink={`/ListBiographie`} detail={true}>
          <IonCard>
            <IonCardHeader>
              <IonCardTitle>Biografías</IonCardTitle>
              <IonCardSubtitle>Lista de todas las biografías</IonCardSubtitle>
            </IonCardHeader>
          </IonCard>
        </IonItem>
        <IonItem routerLink={`/ListCapsules`} detail={true}>
          <IonCard>
            <IonCardHeader>
              <IonCardTitle>Cápsulas</IonCardTitle>
              <IonCardSubtitle>Lista de todas las cápsulas</IonCardSubtitle>
            </IonCardHeader>
          </IonCard>
        </IonItem>
      </IonContent>
      <IonFooter>
        <IonToolbar>
          <IonItem routerLink={`/About`} detail={true}>
            <IonTabButton tab="AboutUs" href="/AboutUs">
              <IonIcon icon={square} />
              <IonLabel>Sobre nosotros</IonLabel>
            </IonTabButton>
          </IonItem>
        </IonToolbar>
      </IonFooter>
    </IonPage>
  );
};

export default HomePage;
